# Function RxapForm

- RxapForm(
  optionsOrId: string | FormDefinitionMetadata,
  className?: string,
  packageName?: string,
  ): (target: any) => void

  #### Parameters

  - optionsOrId: string | FormDefinitionMetadata
  - className: string = 'FormDefinition'
  - packageName: string = '@rxap/forms'

  #### Returns (target: any) => void

  - Defined in packages/angular/forms/src/lib/decorators/form.ts:4